%define which_xterm xterm-old
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The terminal feature database used by certain applications.
Name: 		termcap
Epoch: 		1
Version: 	5.4
Release: 	1
License: 	Public Domain
Group: 		System/Base
Source0: 	ftp://dickey.his.com/ncurses/ncurses-5.4.tar.gz
Source1: 	ftp://dickey.his.com/ncurses/5.4/patch-5.4-20041211.sh
Patch0: 	ncurses-5.4-kon2.patch
Patch1: 	ncurses-5.4-bterm.patch
Patch2: 	ncurses-5.4-which_xterm.patch
Patch10: 	ncurses-5.4-linux-console-color.patch
Patch20: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20041218.patch.gz
Patch21: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20041225.patch.gz
Patch22: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050101.patch.gz
Patch23: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050108.patch.gz
Patch24: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050115.patch.gz
Patch25: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050122.patch.gz
Patch26: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050129.patch.gz
Patch27: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050205.patch.gz
Patch28: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050212.patch.gz
Patch29: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050219.patch.gz
Patch30: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050226.patch.gz
Patch31: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050305.patch.gz
Patch32: 	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20050312.patch.gz
Patch33: 	ncurses-5.4-xterm-FED4.patch
Patch34: 	ncurses-5.4-rxvt.patch

BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-root
BuildPrereq: 	bash, ncurses, sed, sharutils

%description
The termcap package provides the /etc/termcap file.  /etc/termcap is a
database which defines the capabilities of various terminals and
terminal emulators.  Certain programs use the /etc/termcap file to
access various features of terminals (the bell, colors, and graphics,
etc.).

%prep
%setup -q -n ncurses-5.4
# Apply upstream interim patches.
sh %{SOURCE1}
%patch20 -p1 -b .20041218
%patch21 -p1 -b .20041225
%patch22 -p1 -b .20050101
%patch23 -p1 -b .20050108
%patch24 -p1 -b .20050115
%patch25 -p1 -b .20050122
# The ncurses package isn't here yet.
#%patch26 -p1 -b .20050129
#%patch27 -p1 -b .20050205
#%patch28 -p1 -b .20050212
#%patch29 -p1 -b .20050219
#%patch30 -p1 -b .20050226
#%patch31 -p1 -b .20050305
#%patch32 -p1 -b .20050312

# Add definitions for kon2 and (bogl-)bterm, which include their own terminfo
# database files, but which need to be here for libtermcap's users.
%patch0 -p1 -b .kon2
%patch1 -p1 -b .bterm
# Handle the "what's xterm supposed to be?" configurable thingy.
%patch2 -p1 -b .which_xterm
pushd misc
cat terminfo.src | sed -e s,use=@WHICH_XTERM@,use=%{which_xterm},g > terminfo.src2 && cat terminfo.src2 > terminfo.src && rm terminfo.src2
popd

# If we're targeting Linux, make "console" an alias for either "linux" or
# "linux-m", as appropriate.  Is even correct for SPARC any more?
%ifos linux
%patch10 -p1 -b .linux-console-color
%endif

tic -Ct misc/terminfo.src > misc/termcap.src

%patch33 -p1 -b .xterm-FED4
%patch34 -p1 -b .rxvt

%install
mkdir -p $RPM_BUILD_ROOT/etc
install -m644 misc/termcap.src $RPM_BUILD_ROOT/etc/termcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/termcap

%changelog
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 5.4-1
- Initial release
